@echo off
setlocal EnableDelayedExpansion
pushd %~dp0
if exist mod.csv del mod.csv

if exist "%cd%\xanim\" (
dir /b "%cd%\xanim\" > temp
for /f %%a in (temp) do (echo xanim,%%a>>mod.csv)
)

if exist "%cd%\xmodel\" (
dir /b "%cd%\xmodel\" > temp
for /f %%a in (temp) do (echo xmodel,%%a>>mod.csv)
)

if exist "%cd%\mp\" (
dir /b "%cd%\mp\" > temp
for /f %%a in (temp) do (echo rawfile,mp/%%a>>mod.csv)
)

if exist "%cd%\ui_mp\" (
dir /b "%cd%\ui_mp\" > temp
for /f %%a in (temp) do (echo menufile,ui_mp/%%a>>mod.csv)
)

if exist "%cd%\ui_mp\scriptmenus\" (
dir /b "%cd%\ui_mp\" > temp
for /f %%a in (temp) do (echo menufile,ui_mp/%%a>>mod.csv)
)

if exist "%cd%\mp\" (
dir /b "%cd%\mp\" > temp
for /f %%a in (temp) do (echo stringtable,mp/%%a>>mod.csv)
)



del temp